/*
 * Generated by asn1c-0.9.29 (http://lionet.info/asn1c)
 * From ASN.1 module "IEEE-1609-3-WSA"
 * 	found in "../Ieee1609Dot3Wsa.asn"
 * 	`asn1c -fcompound-names -gen-PER`
 */

#ifndef	_IpV6PrefixLength_H_
#define	_IpV6PrefixLength_H_


#include <asn_application.h>

/* Including external dependencies */
#include <NativeInteger.h>

#ifdef __cplusplus
extern "C" {
#endif

/* IpV6PrefixLength */
typedef long	 IpV6PrefixLength_t;

/* Implementation */
extern asn_TYPE_descriptor_t asn_DEF_IpV6PrefixLength;
asn_struct_free_f IpV6PrefixLength_free;
asn_struct_print_f IpV6PrefixLength_print;
asn_constr_check_f IpV6PrefixLength_constraint;
ber_type_decoder_f IpV6PrefixLength_decode_ber;
der_type_encoder_f IpV6PrefixLength_encode_der;
xer_type_decoder_f IpV6PrefixLength_decode_xer;
xer_type_encoder_f IpV6PrefixLength_encode_xer;
per_type_decoder_f IpV6PrefixLength_decode_uper;
per_type_encoder_f IpV6PrefixLength_encode_uper;

#ifdef __cplusplus
}
#endif

#endif	/* _IpV6PrefixLength_H_ */
#include <asn_internal.h>
